#pragma once

#include "basic_common.h"
#include "basic_types.h"



class SceneGraph;


// an ActiveOjbect can update the paint canvas
class BASIC_API ActiveObject
{
public:
	ActiveObject(SceneGraph* sg = nil);
	~ActiveObject(void);

	void set_scene_graph(SceneGraph* sg) ;
	void update_canvas() ;

private:
	SceneGraph*	  scene_graph_;

};
